GXml.Enumeration.parse_integer – GXml-0.20 Reference Manual

# parse_integer

## Description:

public static EnumValue? parse_integer (Type enumeration, int val)

From a integer valuer calculates a valid GLib.EnumValue for a GLib.Type.

Returns: a GLib.EnumValue or null if fails.

## Parameters:

enumeration | a GLib.Type of type GLib.Type.ENUM
val | an integer in a valid range in the enumeration.